---
title: "Get list of event subscriptions"
url: "https://docs.signnow.com/docs/manage-event-subscriptions/operations/get-v2-dashboard-event-subscriptions"
type: "endpoint"
section: "manage-event-subscriptions"
slug: "manage-event-subscriptions/operations/get-v2-dashboard-event-subscriptions"
method: "GET"
path: "/v2/event-subscriptions"
operation_id: "get-v2-dashboard-event-subscriptions"
authorization: "bearer"
---

# Get list of event subscriptions

`GET /v2/event-subscriptions`

This endpoint allows API users to retrieve the list of events the user account is subscribed to.

The results can be filtered and sorted. If the `sort` parameter is not indicated, the results are sorted by the `created` parameter in descending order. The `filters` and `sort` parameters need URL-encoding. 

## Authorization

bearer

## Query Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `page` | string | No | In how many pages to display the response. |
| `sort:created` | string | No | Sort results by the date. Possible values: asc, desc. Format: `?sort[created]=desc` |
| `sort:event` | string | No | Sort results by the event type (from A to Z). Possible values: asc, desc. Format: `?sort[event]=desc` |
| `sort:application` | string | No | Sort results by the application name (from A to Z). Possible values: asc, desc. Format: `?sort[application]=desc` |
| `filters:entity_id, callback_url` | string | No | Search for a string in entity IDs and callback URLs. Format: `?filters=[{"_OR":[{"entity_id":{"type":"like","value":"21a28b47"}},{"callback_url":{"type":"like","value":"21a28b47"}}]}]` |
| `filters:date` | string | No | Filter results by the timestamps. Format: `?filters=[{"date":{"type":"between","value":[1580719773,1580720509]}}]` |
| `filters:event` | string | No | Filter results by the specific type of event. Format: `?filters=[{"event":{"type": "in", "value":["document.create", "document.update"]}}]` |
| `filters:application` | string | No | Filter results by the application. Format: `?filters=[{"application":{"type": "in", "value":["applicationUniqueId1", "applicationUniqueId2"]}}]` |
| `include_event_count` | boolean | No | Include the number of events that triggered the webhook to the response. If set to `true`, the number is returned in the `event_count` field. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

Correct request with the filter by application ID.

**Example** (`Example 1`)

```json
{
  "data": [
    {
      "id": "a1b2c3d4e5f67890123456789abcdef012345678",
      "event": "document.open",
      "action": "callback",
      "active": true,
      "created": 1709210000,
      "version": 2,
      "entity_id": 100100200,
      "entity_type": "document",
      "event_count": null,
      "request_method": "post",
      "json_attributes": {
        "use_tls_12": true,
        "callback_url": "https://api.your-domain.com/callbacks/handle_event",
        "docid_queryparam": false,
        "include_metadata": true
      },
      "application_name": "My_Integration_App",
      "entity_unique_id": "d0c1d2d3d4d5d6d7d8d900000000000000000001",
      "event_subscription_owner_email": "admin@example.com"
    },
    {
      "id": "f9e8d7c6b5a432109876543210fedcba98765432",
      "event": "document.complete",
      "action": "callback",
      "active": true,
      "created": 1709215000,
      "version": 2,
      "entity_id": 100100200,
      "entity_type": "document",
      "event_count": null,
      "request_method": "post",
      "json_attributes": {
        "use_tls_12": true,
        "callback_url": "https://api.your-domain.com/callbacks/handle_event",
        "docid_queryparam": false,
        "include_metadata": true
      },
      "application_name": "My_Integration_App",
      "entity_unique_id": "d0c1d2d3d4d5d6d7d8d900000000000000000001",
      "event_subscription_owner_email": "admin@example.com"
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

**Example** (`Correct request`)

```json
{
  "data": [
    {
      "id": "a1b2c3d4e5f67890123456789abcdef012345678",
      "event": "document.open",
      "action": "callback",
      "active": true,
      "created": 1709210000,
      "version": 2,
      "entity_id": 100100200,
      "entity_type": "document",
      "event_count": null,
      "request_method": "post",
      "json_attributes": {
        "use_tls_12": true,
        "callback_url": "https://api.your-domain.com/callbacks/handle_event",
        "docid_queryparam": false,
        "include_metadata": true
      },
      "application_name": "My_Integration_App",
      "entity_unique_id": "d0c1d2d3d4d5d6d7d8d900000000000000000001",
      "event_subscription_owner_email": "admin@example.com"
    },
    {
      "id": "f9e8d7c6b5a432109876543210fedcba98765432",
      "event": "document.complete",
      "action": "callback",
      "active": true,
      "created": 1709215000,
      "version": 2,
      "entity_id": 100100200,
      "entity_type": "document",
      "event_count": null,
      "request_method": "post",
      "json_attributes": {
        "use_tls_12": true,
        "callback_url": "https://api.your-domain.com/callbacks/handle_event",
        "docid_queryparam": false,
        "include_metadata": true
      },
      "application_name": "My_Integration_App",
      "entity_unique_id": "d0c1d2d3d4d5d6d7d8d900000000000000000001",
      "event_subscription_owner_email": "admin@example.com"
    }
  ],
  "meta": {
    "pagination": {
      "count": 2,
      "links": [],
      "total": 2,
      "per_page": 15,
      "total_pages": 1,
      "current_page": 1
    }
  }
}
```

### 400

* Incorrect filter format (each filter must contain `type` and `value` fields)
* Incorrect filter expression (must be a string)
* Incorrect `application` filter expression (must be `"type": "in"`)
* Incorrect `event` filter expression (must be `"type": "="` or `"type": "in"`)
* Incorrect `entity_id` or `callback_url` filter expression (must be `"type": "like"`)
* Incorrect `application` or `event` filter value (must be an array of strings)
* Incorrect `entity_id` or `callback_url` filter value (must be a string)
* Incorrect `date` filter value (must be an array)



**Example** (`Incorrect filter format`)

```json
{
  "errors": [
    {
      "code": 15006011,
      "message": "Incorrect filter format, filter must have `type` and `value` fields."
    }
  ]
}
```

**Example** (`Incorrect date filter value`)

```json
{
  "errors": [
    {
      "code": 15006017,
      "message": "The `date` filter value must be an array."
    }
  ]
}
```

**Example** (`Incorrect filter expression`)

```json
{
  "errors": [
    {
      "code": 15006012,
      "message": "Incorrect filter format, filter `type` must be a string."
    }
  ]
}
```

**Example** (`Incorrect event filter value`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "The `event` filter value should be array of strings."
    }
  ]
}
```

**Example** (`Incorrect entity_id filter value`)

```json
{
  "errors": [
    {
      "code": 15006020,
      "message": "The `entity_id` filter value must be a string."
    }
  ]
}
```

**Example** (`Incorrect event filter expression`)

```json
{
  "errors": [
    {
      "code": 0,
      "message": "The `event` filter expression should be equal to `=` or `in`"
    }
  ]
}
```

**Example** (`Incorrect application filter value`)

```json
{
  "errors": [
    {
      "code": 15006023,
      "message": "The `application` filter value should be an array of strings."
    }
  ]
}
```

**Example** (`Incorrect entity_id filter expression`)

```json
{
  "errors": [
    {
      "code": 15006019,
      "message": "The `entity_id` filter expression must be equal to `like`."
    }
  ]
}
```

**Example** (`Incorrect application filter expression`)

```json
{
  "errors": [
    {
      "code": 15006021,
      "message": "The `application` filter expression must be equal to `in`."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/event-subscriptions" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-event-subscriptions/operations/get-v2-dashboard-event-subscriptions*
